Package org.eclipse.ui.testing

## Class ContributionInfo

- java.lang.Object
- - org.eclipse.ui.testing.ContributionInfo

    public class ContributionInfo
    extends Object

Instances of this class describe a contribution of an element of a certain type to the UI.

Since:
  3.6

### Constructor Summary

Constructors
`ContributionInfo​(String bundleId, String elementType, IConfigurationElement configurationElement)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBundleId()`
`IConfigurationElement` `getConfigurationElement()`
`String` `getElementType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContributionInfo

    public ContributionInfo​(String bundleId,
                            String elementType,
                            IConfigurationElement configurationElement)

Creates a new instance.

Parameters:
  `bundleId` -
  `elementType` - a localized string describing the contribution (e.g., 'view', 'editor', 'preference page')
  `configurationElement` - an optional configuration element, or `null`.

### Method Detail

#### getBundleId

    public String getBundleId()

Returns:
  Returns the bundleId.

#### getElementType

    public String getElementType()

Returns:
  Returns the elementType, a localized string describing the contribution (e.g., 'view', 'editor', 'preference page').

#### getConfigurationElement

    public IConfigurationElement getConfigurationElement()

Returns:
  Returns the configurationElement or `null` if no configuration element is available.